from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDataSeries(XInterface, Protocol):
    def resetDataPoint(self, nIndex: int) -> None: ...
    def resetAllDataPoints(self) -> None: ...
